Subject: FD_SETSIZE and select
From: Alexander Gottwald <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 3 Feb 2004 22:07:27 +0100 (MET)

Hi,

The Cygwin/X source uses the assumption that FD_SETSIZE == 256 in many places.
I'm currently adding a -DFD_SETSIZE=256 to the build commandline but I'm
not sure if this has any sideeffects.

Is select() capable of handling other sizes than 64 which is set in sys/types.h?

bye
    ago
BTW: please keep the cc to cygwin-xfree since I'm only monitoring that list and
I'd like the others there be informed too.
-- 
 [email-masked]
 http://www.gotti.org           ICQ: 126018723

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/